%define version 4.4.1
%define release 0vl1

%define xfontdir /usr/X11R6/lib/X11/fonts/TrueType

Summary: Vine TrueType font managing base
Summary(ja): TrueType フォント使用のベース
Name: TrueType-base
Version: %{version}
Release: %{release}
BuildArch: noarch

Source: TrueType-base-%{version}.tgz

Copyright: distributable
Group: User Interface/X
Buildroot: %{_tmppath}/%{name}-root
PreReq: mktcapdir >= 0.5.4
# PreReq: chkfontpath
Requires: mktcapdir >= 0.5.4

Distribution: Vine Linux
Vendor: Project Vine
Packager: Shoji Matsumoto <shom@vinelinux.org>

%description
Vine TrueType font managing base.
Include symlinks to basic TTF (luxi*.ttf in XFree86-4.2) and some .ttfconf

%description -l ja
Vine の TrueType フォントマネジメントのベースです。
XFree86-4.2 に含まれる基本的な TTF である luxi*.ttf へのシンボリックリンクと、
いくつかの TTF 用の mktcapdir 用定義ファイルが含まれています。

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup

%install

mkdir -p $RPM_BUILD_ROOT/%{xfontdir}
rm *.spec
mv * \
  $RPM_BUILD_ROOT/%{xfontdir}

# %post
# %{_sbindir}/chkfontpath -q -a %{xfontdir}
# %{_bindir}/mktcapdir %{xfontdir} %{xfontdir}/*.ttfconf
# if [ -x %{_bindir}/vine-update-gnome-font-install ]; then
#   %{_bindir}/vine-update-gnome-font-install
# fi

# %postun
# %{_sbindir}/chkfontpath -q -r %{xfontdir}
# %{_bindir}/mktcapdir %{xfontdir} %{xfontdir}/*.ttfconf
# if [ -x %{_bindir}/vine-update-gnome-font-install ]; then
#   %{_bindir}/vine-update-gnome-font-install
# fi

%post
%{_bindir}/mktcapdir %{xfontdir} %{xfontdir}/*.ttfconf
if [ -x %{_bindir}/vine-update-gnome-font-install ]; then
  %{_bindir}/vine-update-gnome-font-install
fi

%postun
%{_bindir}/mktcapdir %{xfontdir} %{xfontdir}/*.ttfconf
if [ -x %{_bindir}/vine-update-gnome-font-install ]; then
  %{_bindir}/vine-update-gnome-font-install
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{xfontdir}
%{xfontdir}/*

%changelog
* Thu Feb 20 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.1-0vl1
- update for 2.6errata
- modify ttfconf

* Wed Nov 20 2002 Shoji Matsumoto <shom@vinelinux.org> 4.4-0vl2
- remove .spec in fontdir...
- update for Seed

* Sun Oct 06 2002 Shoji Matsumoto <shom@vinelinux.org> 4.4-0vl1
- xtt bug (garbage glyph in -c-) workarownd with mktcapdir-0.5.4
- chkfontpath removed

* Sun Mar 31 2002 Shoji Matsumoto <shom@vinelinux.org> 4.3-0vl3
- chkfontpath fix in %post

* Thu Mar 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 4.3-0vl2
- add PreReq: chkfontpath, mktcapdir

* Sun Mar 17 2002 Shoji Matsumoto <shom@vinelinux.org> 4.3-0vl1
- add Obsoletes TrueType_jp < 4.1

* Tue Mar 12 2002 Shoji Matsumoto <shom@vinelinux.org> 4.3-0vl0
- created
- separated from TrueType_jp (to TrueType-base, TrueType-kochi)
- *******************************************************************

* Tue Mar 12 2002 Shoji Matsumoto <shom@vinelinux.org> 4.2-0vl0
- update ricoh.ttfconf, kochi.ttfconf
- add luxi*-2.ttf (bitmap embedded luxi*.ttf)

* Mon Mar 11 2002 Shoji Matsumoto <shom@vinelinux.org> 4.1-0vl0
- Package Name changed to TrueType-kochi (Provides TrueTypeFonts_jp)
- update microsoft.ttfconf, ricoh.ttfconf

* Sun Mar 10 2002 Shoji Matsumoto <shom@vinelinux.org> 4.0-0vl2
- fix

* Sun Mar 10 2002 Shoji Matsumoto <shom@vinelinux.org> 4.0-0vl1
- upate kochi-*
- update *.ttfconf
- add xf42lux.ttfconf, symlinks to XF42 lux ttfs
- add ricoh.ttfconf for CR

* Mon Dec 03 2001 Shoji Matsumoto <shom@vinelinux.org> 3.0-0vl6
- update *.ttfconf
- remove ricoh.ttfconf
- update kochi-*

* Mon Sep 10 2001 SHoji Matsumoto <shom@vinelinux.org> 3.0-0vl4
- fixed bug in kochi.ttfconf

* Mon Sep 10 2001 SHoji Matsumoto <shom@vinelinux.org> 3.0-0vl3
- remove %post process for DynaFonts fonts
  (/usr/share/fonts/TrueType/aliastt-* obsoletes)

* Sat Sep 08 2001 Shoji Matsumoto <shom@vinelinux.org> 3.0-0vl2
- remove watanabe, wadalab
- now using mktcapdir

* Mon Jun 04 2001 Shoji Matsumoto <shom@vinelinux.org> 3.0-0vl1
- remove times/hevletica iso8859-1 aliases for kochi

* Fri May 18 2001 Shoji Matsumoto <shom@vinelinux.org> 3.0-0vl0
- add kochi-mincho/kochi-gothic
- add Type1 fonts from XFree86-4.0 (temp)
- add -alias-{times,helvetica,monotype} to aliases

* Thu Mar 15 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 2-7
- remove Obsoletes DynaFonts tag.

* Sun Nov 19 2000 Satoshi MACHINO <machino@vinelinux.org> 2-6
- build with gcc-2.95.3
- partially used rpmmacros
 
* Wed Mar  8 2000 Jun Nishii <jun@vinelinux.org>
- 2-5
- chkfontpath -remove TrueType in %post to get stability

* Tue Feb  1 2000 Jun Nishii <jun@vinelinux.org>
- 2-4
- stop to add path for xfs to get stability

* Mon Jan 24 2000 Jun Nishii <jun@vinelinux.org>
- 2-3
- oops...fix bugs for comment out in FONTS.ALIAS

* Thu Jan 20 2000 Jun Nishii <jun@vinelinux.org>
- 2-2
- bug fix: added symlink for aliastt-...
- added Obsoletes DynaFonts

* Sun Jan  9 2000 Jun Nishii <jun@vinelinux.org>
- TrueTypeFonts_jp-2-1
- added %defattr
- bzip2 source

* Thu Dec 30 1999 Jun Nishii <jun@vinelinux.org>
- change group

* Fri Dec 10 1999 Jun Nishii <jun@vinelinux.org>
- new fonts.alias

* Mon Nov  8 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 1-4
- added Prereq: chkfontpath tag

* Tue Sep 9 1999 Norihito Ohmori <ohmori@flatout.org>
- change using chkfontpath

* Wed Dec 23 1998 MATSUMOTO Shoji <vine@flatout.org>
- 1-2
- change fonts.dir and fonts.alias
- some symbols defined

